/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 999 $
 * $Date: 2020-04-10 22:54:35 +0200 (Fri, 10 Apr 2020) $
 */
package at.lcm.bu21.general.dtypes.unit;

/**
 * Exception for syntax errors
 *
 * @author Werner Koppelsttter
 */
public class SyntaxException extends Exception {

	/** Serialization version number */
	private static final long serialVersionUID = 1L;

	/**
	 * Create syntax exception with message
	 * 
	 * @param message
	 *            Error message
	 */
	public SyntaxException(String message) {
		super(message);
	}

}
